Package Details: gifcurry 5.0.0.0_0-1

Git Clone URL: https://aur.archlinux.org/gifcurry.git (read-only)
Package Base: gifcurry
Description: Your open source video to GIF maker built with Haskell.
Upstream URL: https://github.com/lettier/gifcurry
Keywords: ffmpeg gif gifcurry haskell imagemagick
Licenses: BSD3
Submitter: lettier
Maintainer: lettier
Last Packager: lettier
Votes: 12
Popularity: 0.279906
First Submitted: 2016-02-09 03:42
Last Updated: 2018-12-11 04:26

Latest Comments

« First ‹ Previous 1 2

gourdcaptain commented on 2017-09-09 17:38

Attempting to compile this fails with errors like. There are more ld errors if I don't have ghc-static installed.
Linking dist/dist-sandbox-59aca295/build/alex/alex ...
/usr/bin/ld: cannot find -lHSrandom-1.1-9tceXaeYIMZ4JrKq20Egog
collect2: error: ld returned 1 exit status
`gcc' failed in phase `Linker'. (Exit code: 1)
cabal: Leaving directory '/tmp/cabal-tmp-21024/alex-3.2.3'

lettier commented on 2017-09-09 07:19

Hello lpr1. I apologize for the build error. I have updated the package.

lpr1 commented on 2017-09-08 04:34

"Can't satisfy dependencies ghc=8.0.1-1"

Current Arch version is 8.0.2-3, if bult by that version compiling fails.

FryDay commented on 2016-12-28 15:04

Worked great, thanks lettier!

lettier commented on 2016-12-28 00:26

Hello FryDay. I apologize for the build error. I have updated the package.

FryDay commented on 2016-12-19 14:16

I haven't been able to update for a while:

c2hs/base/general/Binary.hs:64:1: error:
Failed to load interface for ‘Data.HashTable’
Use -v to see a list of the files searched for.
cabal: Leaving directory '/tmp/cabal-tmp-18477/gtk2hs-buildtools-0.12.4'
cabal: Error: some packages failed to install:
gtk2hs-buildtools-0.12.4 failed during the building phase. The exception was:
ExitFailure 1

lettier commented on 2016-05-14 07:16

Thank you Kruge. Updated.

Kruge commented on 2016-05-14 02:52

I couldn't get this to build, kept getting errors about missing 'alex'. So I built it from source and found that your Github build instructions resulted in the same error. I found that I need to add some steps:

cabal install alex
cabal install happy

which solved my build problem and might need to be added to your scripts.